﻿Imports System.Collections.ObjectModel
Imports System.ComponentModel
Imports System.Runtime.CompilerServices

Public Class DayVm
    Implements INotifyPropertyChanged


    Private _date As Date
    Public Property TheDate As Date
        Get
            Return _date
        End Get
        Set(ByVal value As Date)
            _date = value
            RaisePropertyChanged()
        End Set
    End Property


    Private _person As String
    Public Property Person() As String
        Get
            Return _person
        End Get
        Set(ByVal value As String)
            _person = value
            RaisePropertyChanged()
        End Set
    End Property


    Private _appointments As ObservableCollection(Of AppointmentVm)
    Public Property Appointments() As ObservableCollection(Of AppointmentVm)
        Get
            Return _appointments
        End Get
        Set(ByVal value As ObservableCollection(Of AppointmentVm))
            _appointments = value
            RaisePropertyChanged()
        End Set
    End Property



    Protected Overridable Sub RaisePropertyChanged(<CallerMemberName> Optional ByVal prop As String = "")
        If prop IsNot Nothing AndAlso prop.Length > 0 Then RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(prop))
    End Sub


    Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged


End Class
