﻿Imports System.ComponentModel
Imports System.Runtime.CompilerServices

Class MainWindow
    Implements INotifyPropertyChanged

    Private Sub MainWindow_Loaded(sender As Object, e As RoutedEventArgs) Handles Me.Loaded
        _calVm = New CalendarViewModel
        Me.DataContext = Me
    End Sub





    Private _calVm As CalendarViewModel
    ReadOnly Property CalVm() As CalendarViewModel
        Get
            Return _calVm
        End Get

    End Property




    Private Sub Calendar_DayCLicked(currentDay As Date)
        MessageBox.Show(String.Format("Der {0} wurde geklickt!", currentDay.ToShortDateString))
    End Sub

    Private Sub Calendar_AppointmentClicked(appointment As AppointmentVm)
        MessageBox.Show(String.Format("Der Termin {0} wurde geklickt!", appointment.Title))
    End Sub



    Protected Overridable Sub RaisePropertyChanged(<CallerMemberName> Optional ByVal prop As String = "")
        If prop IsNot Nothing AndAlso prop.Length > 0 Then RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(prop))
    End Sub


    Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged
End Class
